diff --git a/src/include/catalog/pg_proc.dat b/src/include/catalog/pg_proc.dat
index 0902dce5f14..d0df32f23b2 100644
--- a/src/include/catalog/pg_proc.dat
+++ b/src/include/catalog/pg_proc.dat
@@ -9305,29 +9305,29 @@
   prosrc => 'jsonpath_send' },
 
 { oid => '4005', descr => 'jsonpath exists test',
-  proname => 'jsonb_path_exists', prorettype => 'bool',
+  proname => 'jsonb_path_exists', provolatile => 's', prorettype => 'bool',
   proargtypes => 'jsonb jsonpath jsonb bool', prosrc => 'jsonb_path_exists' },
 { oid => '4006', descr => 'jsonpath query',
   proname => 'jsonb_path_query', prorows => '1000', proretset => 't',
-  prorettype => 'jsonb', proargtypes => 'jsonb jsonpath jsonb bool',
-  prosrc => 'jsonb_path_query' },
+  provolatile => 's', prorettype => 'jsonb',
+  proargtypes => 'jsonb jsonpath jsonb bool', prosrc => 'jsonb_path_query' },
 { oid => '4007', descr => 'jsonpath query wrapped into array',
-  proname => 'jsonb_path_query_array', prorettype => 'jsonb',
+  proname => 'jsonb_path_query_array', provolatile => 's', prorettype => 'jsonb',
   proargtypes => 'jsonb jsonpath jsonb bool',
   prosrc => 'jsonb_path_query_array' },
 { oid => '4008', descr => 'jsonpath query first item',
-  proname => 'jsonb_path_query_first', prorettype => 'jsonb',
+  proname => 'jsonb_path_query_first', provolatile => 's', prorettype => 'jsonb',
   proargtypes => 'jsonb jsonpath jsonb bool',
   prosrc => 'jsonb_path_query_first' },
 { oid => '4009', descr => 'jsonpath match',
-  proname => 'jsonb_path_match', prorettype => 'bool',
+  proname => 'jsonb_path_match', provolatile => 's', prorettype => 'bool',
   proargtypes => 'jsonb jsonpath jsonb bool', prosrc => 'jsonb_path_match' },
 
 { oid => '4010', descr => 'implementation of @? operator',
-  proname => 'jsonb_path_exists_opr', prorettype => 'bool',
+  proname => 'jsonb_path_exists_opr', provolatile => 's', prorettype => 'bool',
   proargtypes => 'jsonb jsonpath', prosrc => 'jsonb_path_exists_opr' },
 { oid => '4011', descr => 'implementation of @@ operator',
-  proname => 'jsonb_path_match_opr', prorettype => 'bool',
+  proname => 'jsonb_path_match_opr', provolatile => 's', prorettype => 'bool',
   proargtypes => 'jsonb jsonpath', prosrc => 'jsonb_path_match_opr' },
 
 # txid
